/* --------------- artist --------------- */
.artist {
  padding: 40px 0;
  position: relative;

  @include respond-to(tablet-landscape){
    padding: 141px 0 107px;
  }
  .artist__aside{
    text-align: center;
    >.btns{
      @include btns();
      cursor: default;
      margin: 0 auto;
      margin-top: 22px;
      margin-bottom: 54px;
      display: block;
    }
    >img{
      width: 200px;
      height: 200px;
      border-radius: 50%;
      margin-bottom: 19px;
    }
    >.star {
      margin-bottom: 39px;
    }
    .artist__aside-btns {
      width: 198px;
      margin: 0 auto;
      >a{
        @include btns();
        width: 198px;
        height: 61px;
        font-size: 14px;
        line-height: 61px;
        margin-bottom: 15px;
      }
    }
  }
  .artist__info {
    padding: 0 30px;
    position: relative;
    @include respond-to(tablet){
      padding: 0;
    }
    @include respond-to(desctop){
      margin: -5px 37px 0 -3px;
    }

    > .favorite{
      @include respond-to(tablet) {
        position: absolute;
        top: 10px;
        right: 0;
      }
    }
    >.artist__title {
      color: $text-links-blue;
      font-size: 36px;
      font-weight: 400;
      font-family: "proximanovacond-regular-webfont", sans-serif;
      text-align: center;
      margin: 0 0 24px 0;
      @include respond-to(tablet){
        text-align: left;
      }
    }
    >dl {
      font-size: 16px;
      overflow: hidden;
      margin-bottom: 29px;
      >dt{
        color: $text-dark-blue;
        font-family: "proximanova-bold", sans-serif;
        @include respond-to(desctop){
          float: left;
          clear: both;
          width: 301px;
          margin-bottom: 9px;
        }
      }
      >dd{
        font-family: "proximanovacond-regular-webfont", sans-serif;
        font-weight: 400;
        color: $text-light-blue;
        @include respond-to(desctop){
          float: left;
        }

        >span {
          display: block;
          padding-top: 10px;
        }
      }
    }
  }
  .artist__gallery {
    text-align: center;
    @include respond-to(desctop){
      margin-left: -35px;
    }

    >a,
    >span{
      display: inline-block;
      vertical-align: top;
      width: 300px;
      height: 170px;
      margin: 0 5px 10px;
      opacity: 0.7;
      -webkit-transition: opacity 300ms ease-in-out;
      transition: opacity 300ms ease-in-out;
      cursor: pointer;

      &:hover {
        opacity: 1;
      }

      &.artist__gallery-video {
        position: relative;
        opacity: 1;

        &:after {
          content: '';
          position: absolute;
          top: 0;
          left: 0;
          bottom: 0;
          right: 0;
          z-index: 2;
          background: rgba(48,123,247,.9);
          -webkit-transition: opacity 300ms ease-in-out;
          transition: opacity 300ms ease-in-out;
        }
        &:before {
          content: '';
          position: absolute;
          top: 50%;
          left: 50%;
          margin: -22px 0 0 -22px;
          z-index: 3;
          background: url("../img/artist__gallery-video.png");
          width:45px;
          height: 45px;
          -webkit-transition: opacity 300ms ease-in-out;
          transition: opacity 300ms ease-in-out;
        }
        > video {
          width: 100%;
          height: 100%;
          position: relative;
          z-index: 1;
        }
        &.open {
          &:after,
          &:before {
            opacity: 0;
          }
        }
        &.opened {
          &:after,
          &:before {
            display: none;
          }
        }
      }
    }
  }
}
/* --------------- /artist --------------- */

/* --------------- artist_profile --------------- */
.artist_profile{
  background: $back-concept;
  &.artist_profile__white{
    background: #fff;
  }
  &.artist_profile__no-border{
    .artist{
      &:after{
        display: none;
      }
    }
  }
  .profile__name{
    margin-bottom: 47px;
    h2{
      font-size: 30px;
      color: $text-dark-blue;
      margin: 15px 0 12px 0;
    }
    span{
      font-family: $mainFontSize;
      color: $text-light-blue;
    }
  }
  .profile__review{
    margin-bottom: 60px;
    >a{
      display: inline-block;
      margin-bottom: 15px;
      font-size: 18px;
      color: $text-light-blue;
      &:hover{
        text-decoration: none;
      }
    }
  }
  .artist_profile__about{
    background: $back-main;
    margin: 0 15px 53px 15px;
    box-shadow: 0 0 20px $back-carusel-shadow;
    padding: 40px;
    font-size: $mainFontSize;
    color: $text-light-blue;
    line-height: 26px;
    @include respond-to(tablet) {
      margin: 0 0 53px 0;
    }
    .btns{
      @include btns();
    }
    h2{
      font-size: 24px;
      font-weight: 400;
      color: $text-dark-blue;
      margin: -4px 0 8px 0;
    }
    p{
      margin-bottom: 35px;
      a{
        color: $text-links-blue;
      }
    }
    dl{
      background: url("../img/member-since.png") no-repeat;
      padding-left: 50px;
      height: 32px;
      line-height: 32px;
      dt{
        display: inline-block;
        vertical-align: top;
        color: $text-dark-blue;
        font-weight: 400;
        font-family: "proximanova-bold", sans-serif;
        height: 32px;
        line-height: 32px;
      }
      dd{
        height: 32px;
        line-height: 32px;
        display: inline-block;
        vertical-align: top;
      }
    }
    .artist_profile__history{
      padding: 15px 0 10px 0;
      li{
        margin-bottom: 21px;
        a{
          font-size: 18px;
          color: $text-dark-blue;
          &:hover{
            text-decoration: none;
          }
          span{
            border-radius: 50%;
            border: 2px solid $text-links-blue;
            color: $text-links-blue;
            display: inline-block;
            width: 36px;
            height: 36px;
            text-align: center;
            line-height: 32px;
            margin-right: 5px;
          }
        }
      }
    }
  }
  .recent-service{
    margin: 0 15px;
    @include respond-to(tablet) {
      margin: 0;
    }
    >h2{
      font-size: 24px;
      font-weight: 400;
      color: $text-dark-blue;
      margin-bottom: 25px;
      >span{
        color: $text-links-blue;
      }
    }
    >.btns{
      @include btns();
      height: 51px;
      width: 164px;
      line-height: 51px;
    }
    .recent-service__list{
      background: $back-main;
      margin-bottom: 30px;
      box-shadow: 0 0 20px $back-carusel-shadow;
      li{
        padding: 30px;
        overflow: hidden;
        border-top: 1px solid $back-range;
        &:first-child{
          border: none;
        }
        img{
          display: inline-block;
          vertical-align: top;
          margin-right: 20px;
        }
        .recent-service_text{
          display: inline-block;
          vertical-align: top;
          padding-top: 12px;
          h2{
            font-size: 24px;
            font-weight: 400;
            color: $organize__provider-sound;
            margin: 0 0 5px 0;
            a{
              color: $organize__provider-sound;
              &:hover{
                text-decoration: none;
              }
            }
          }
          span{
            font-size: 18px;
            color: $text-links-blue;
            position: relative;
            padding-left: 15px;
            &:after{
              position: absolute;
              top: 2px;
              left: 0;
              background: url("../img/events-detailes-sprite.png") no-repeat -78px 0;
              width: 9px;
              height: 17px;
              content: "";
            }
          }
        }

      }
      .btns{
        @include btns();
        margin-top: 14px;
        @include respond-to(desctop) {
          float: right;
          width: 186px;
          height: 51px;
          line-height: 51px;
        }
      }
    }
  }
  .prifile-right-aside{
    margin: -9px 15px 0 15px;
    @include respond-to(tablet) {
      margin: -9px 0 0 0;
    }
    >p{
      font-size: 24px;
      color: $text-dark-blue;
      margin: 0 0 30px 0;
    }
    .btns{
      @include btns();
      width: 270px;
      height: 61px;
      line-height: 61px;
      margin-bottom: 10px;
      &.btns_book{
        padding-left: 114px;
        background-position: 72px 14px;
      }
      &.btns_contact{
        padding-left: 104px;
        background-position: 67px 18px;
      }
    }
  }
}
.prifile-service{
  margin: 0 15px;
  @include respond-to(tablet) {
    margin: 0;
  }
  header{
    margin-bottom: 46px;
    h2{
      font-size: 36px;
      font-weight: 400;
      color: $text-links-blue;
      margin: -7px 0 7px 0;
    }
    span{
      color: $text-light-blue;
      font-size: $mainFontSize;
    }
  }
  .prifile-service__text{
    font-size: $mainFontSize;
    line-height: 26px;
    margin: 0 0 50px 0;
    h3{
      font-weight: 400;
      font-size: 24px;
      color: $text-dark-blue;
    }
  }
  .prifile-service__history {
    > h3 {
      font-size: 24px;
      margin: 0 0 33px 0;
      font-weight: 400;
      color: $text-dark-blue;
    }
    > dl {
      @include respond-to(tablet) {
        float: right;
      }
      font-size: $mainFontSize;
      margin: 5px 0 0 0;
      dt {
        display: inline-block;
        vertical-align: top;
        font-weight: 400;
        font-family: "proximanova-bold", sans-serif;
        color: $text-dark-blue;
        margin-top: 2px;
      }
      dd {
        display: inline-block;
        vertical-align: top;
        color: $text-light-blue;
      }
    }
    ul {
      > li {
        > a {
          width: 290px;
          height: 290px;
          border: 1px solid $border-light;
          position: relative;
          margin: 0 auto;
          display: block;
          margin-bottom: 10px;
          @include respond-to(tablet) {
            padding-bottom: 86%;
            height: auto;
            width: 100%;
          }
          > div {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            text-align: center;
            display: -webkit-flex;
            display: flex;
            -webkit-align-items: center;
            align-items: center;
            -webkit-justify-content: center;
            justify-content: center;
            > div {
              > div {
                color: $text-links-blue;
                border: 1px solid $text-links-blue;
                width: 112px;
                height: 112px;
                text-align: center;
                line-height: 112px;
                display: block;
                margin: 0 auto;
                font-size: 35px;
                border-radius: 50%;
                margin-bottom: 23px;
              }
              span {
                font-size: 18px;
                color: $text-dark-blue;
              }
            }
          }
        }
      }
    }
  }
}
/* --------------- /artist_profile --------------- */
